Subject: Re: Rules Language

From: Markus Hofmann <[email-masked]>
Date: Wed, 19 Oct 2005 21:33:38 -0400

Folks,

the email below seems to be the last email/action we saw on the rules 
language. This was more than two months ago. Given that we're already 
far behind our deliverables, it seems logical that we suggest to remove 
this work item from the charter.

Unless someone volunteers by Friday, 10/28/2005, 5pm EDT to take 
ownership of this work item and make progress before Vancouver, I'll ask 
our AD and the IESG to remove this work item from our charter. [Please 
note, that we already delayed this work item from the first charter].

Thanks,
   Markus

Alex Rousskov wrote:
> On Tue, 2005-08-09 at 22:58 -0600, The Purple Streak, Hilarie Orman
> wrote:
> 
>> http://www.purplestreak.com/ietf-opes/draft-ietf-opes-rules-language-hopalong-00.txt
>>
>> 1. Applicable to partial messages (packet-by-packet)
> 
> I would remove the references to "packets" from the draft. None of the
> protocols we think of dealing with (HTTP, OCP, SMTP, IMAP, RTSP) have a
> notion of a packet.
> 
> Support for partial messages or, more precisely, partial message
> payloads (potentially large bodies and such) is a must, of course.
> Beyond that, incomplete "parts" should be invisible to the rules
> language. The language does not need to deal with a truncated HTTP
> header field or a partially received IPv6 address, for example. 
> 
> If the protocol defines an "element" or "part", the rules should be able
> to access that part (usually via protocol-specific modules). Splitting
> e;ementary parts into smaller chunks should be out of scope.
> 
> Note that if your description promises support for application protocol
> elements (headers, bodies, etc.) than it would be possible to support
> packets as well, but only for protocols that deal with packets...
> 
> 
> Another unrelated comment is that we should not assume that a message is
> always headers+body. Even HTTP messages are not like that because they
> may have trailers. I think a couple of places in the draft may imply
> otherwise.
> 
> 
> If there is an error but there are no matching onError rules, what
> happens?
> 
> Is there arithmetic support? For example, can I count the number of
> certain headers in the message?
> 
> 
> Please add at least one non-trivial/semi-complete realistic example.
> 
> Thank you,
> 
> Alex.
> 
>